mutation createEmergencyContact(
  $name: String!
  $phone: String!
  $relationship: RelationshipType!
  $staffId: UUID!
) @auth(level: USER) {
  emergencyContact_insert(
    data: {
      name: $name
      phone: $phone
      relationship: $relationship
      staffId: $staffId
    }
  ) 
}

mutation updateEmergencyContact(
  $id: UUID!
  $name: String
  $phone: String
  $relationship: RelationshipType
) @auth(level: USER) {
  emergencyContact_update(
    id: $id
    data: {
      name: $name
      phone: $phone
      relationship: $relationship
    }
  ) 
}

mutation deleteEmergencyContact($id: UUID!) @auth(level: USER) {
  emergencyContact_delete(id: $id) 
}
